- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Portable_Group_Map Class Reference

Map of GroupIds to ObjectKeys. More...

`#include <Portable_Group_Map.h>`

Collaboration diagram for TAO_Portable_Group_Map:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Manager_Ex< PortableGroup::TagGroupTaggedComponent *, Map_Entry *, TAO_GroupId_Hash, TAO_GroupId_Equal_To, ACE_Null_Mutex > | GroupId_Table
| Id hash map.
typedef GroupId_Table::iterator | Iterator
## Public Member Functions
| TAO_Portable_Group_Map ()
| Constructor.
| ~TAO_Portable_Group_Map (void)
| Destructor.
void | add_groupid_objectkey_pair (PortableGroup::TagGroupTaggedComponent *group_id, const TAO::ObjectKey &key)
void | remove_groupid_objectkey_pair (const PortableGroup::TagGroupTaggedComponent *group_id, const TAO::ObjectKey &key)
| Remove a GroupId->ObjectKey mapping from the map.
void | dispatch (PortableGroup::TagGroupTaggedComponent *group_id, TAO_ORB_Core *orb_core, TAO_ServerRequest &request, CORBA::Object_out forward_to)
## Protected Attributes
TAO_SYNCH_MUTEX | lock_
| Lock used to synchronize access to map_.
GroupId_Table | map_
| Id map.
## Classes
struct | Map_Entry
| Value field of the portable group map. More...

## Detailed Description

Map of GroupIds to ObjectKeys.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex< PortableGroup::TagGroupTaggedComponent *, Map_Entry *, TAO_GroupId_Hash, TAO_GroupId_Equal_To, ACE_Null_Mutex> TAO_Portable_Group_Map::GroupId_Table

Id hash map.

typedef GroupId_Table::iterator TAO_Portable_Group_Map::Iterator

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Portable_Group_Map::TAO_Portable_Group_Map | ( |  | ) |

Constructor.

TAO_Portable_Group_Map::~TAO_Portable_Group_Map | ( | void |  | ) |

Destructor.

## Member Function Documentation

void TAO_Portable_Group_Map::add_groupid_objectkey_pair | ( | PortableGroup::TagGroupTaggedComponent * | group_id,
|  | const TAO::ObjectKey & | key |
| ) |  |  |

Add a GroupId->ObjectKey mapping to the map. This function takes ownership of the memory pointed to be group_id

void TAO_Portable_Group_Map::dispatch | ( | PortableGroup::TagGroupTaggedComponent * | group_id,
|  | TAO_ORB_Core * | orb_core,
|  | TAO_ServerRequest & | request,
|  | CORBA::Object_out | forward_to |
| ) |  |  |

Dispatch a request to all of the ObjectIds that belong to the specified group.

void TAO_Portable_Group_Map::remove_groupid_objectkey_pair | ( | const PortableGroup::TagGroupTaggedComponent * | group_id,
|  | const TAO::ObjectKey & | key |
| ) |  |  |

Remove a GroupId->ObjectKey mapping from the map.

## Member Data Documentation

TAO_SYNCH_MUTEX TAO_Portable_Group_Map::lock_`[protected]`

Lock used to synchronize access to map_.

GroupId_Table TAO_Portable_Group_Map::map_`[protected]`

Id map.

The documentation for this class was generated from the following files:

- Portable_Group_Map.h
- Portable_Group_Map.cpp